OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.GetProgramBinary

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_get_program_binary extension, see http://www.opengl.org/registry/specs/ARB/get_program_binary.txt.

Synopsis

- glGetProgramBinary :: GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLenum -> Ptr a -> IO ()
- glProgramBinary :: GLuint -> GLenum -> Ptr a -> GLsizei -> IO ()
- glProgramParameteri :: GLuint -> GLenum -> GLint -> IO ()
- gl_PROGRAM_BINARY_RETRIEVABLE_HINT :: GLenum
- gl_PROGRAM_BINARY_LENGTH :: GLenum
- gl_NUM_PROGRAM_BINARY_FORMATS :: GLenum
- gl_PROGRAM_BINARY_FORMATS :: GLenum

# Functions

glGetProgramBinary :: GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLenum -> Ptr a -> IO ()

glProgramBinary :: GLuint -> GLenum -> Ptr a -> GLsizei -> IO ()

glProgramParameteri :: GLuint -> GLenum -> GLint -> IO ()

# Tokens

gl_PROGRAM_BINARY_RETRIEVABLE_HINT :: GLenum

gl_PROGRAM_BINARY_LENGTH :: GLenum

gl_NUM_PROGRAM_BINARY_FORMATS :: GLenum

gl_PROGRAM_BINARY_FORMATS :: GLenum